apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-01-22T16:22:20.056446152Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '5320825667'
  name: windows-11-virtio-green-marmot-63
  uid: de5e7fb0-ae21-488f-af39-14671a5fc123
  creationTimestamp: '2025-01-22T16:22:19Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:instancetype':
            .: {}
            'f:name': {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:running': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:network.kubevirt.io/headlessService': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:devices':
                  .: {}
                  'f:autoattachPodInterface': {}
                  'f:disks': {}
                  'f:interfaces': {}
              'f:networks': {}
              'f:subdomain': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2025-01-22T16:22:19Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:instancetype':
            'f:revisionName': {}
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2025-01-22T16:22:20Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-01-22T16:23:06Z'
  namespace: dholler
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
spec:
  dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: windows-11-virtio-green-marmot-63-volume
      spec:
        sourceRef:
          kind: DataSource
          name: win11
          namespace: dholler
        storage:
          resources:
            requests:
              storage: '68719476736'
          storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.large
    revisionName: windows-11-virtio-green-marmot-63-u1.large-v1beta1-b7af02c5-ac84-4a63-a893-f5841b4a0778-1
  preference:
    kind: VirtualMachineClusterPreference
    name: windows.11.virtio
    revisionName: windows-11-virtio-green-marmot-63-windows.11.virtio-v1beta1-ebcd3414-cbe5-40ab-a672-076dea399c78-3
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: false
          disks:
            - cdrom:
                bus: sata
              name: sysprep
          interfaces:
            - macAddress: '02:26:19:00:00:d8'
              masquerade: {}
              name: default
        machine:
          type: pc-q35-rhel9.4.0
        resources: {}
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: windows-11-virtio-green-marmot-63-volume
          name: rootdisk
        - name: sysprep
          sysprep:
            configMap:
              name: windows-unattend
status:
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-01-22T16:22:29Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and not running
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      message: 'cannot migrate VMI: Backend storage PVC is not RWX'
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: '2025-01-22T16:23:06Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: sysprep
      reason: 'Snapshot is not supported for this volumeSource type [sysprep]'

